#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include <math.h>

#include "jalbArrayList.h"

#include "jalbEntity.h"

// Returns -1 if there is no file, else returns numEnts the file tells it.
int loadEntityList(char *dir, ArrayList *entList) {
    // Entities
    FILE *file;
    file = fopen(dir, "r");
    if(file == NULL ) {
        printf("error opening file\n");
        return -1;
    }

    int numEnts;
    fread(&numEnts, sizeof(int), 1, file);

    int i;
    for(i = 0; i < numEnts; i++) {
        struct jalbEntity *ent = malloc(sizeof(struct jalbEntity));

        fread(&ent->modelIndex, sizeof(int), 1, file);
        fread(&ent->scale, sizeof(float), 1, file);
        fread(ent->pos, sizeof(float), 3, file);
    }
    return numEnts;
}

void sayEnt(struct jalbEntity *ent) {
    printf("ent: (%d, %d, %f, [%f, %f, %f], [%d, %d])\n", ent->globalId, ent->modelIndex, ent->scale, ent->pos[0], ent->pos[1], ent->pos[2], ent->chunkCoords[0], ent->chunkCoords[1]);
}
