#version 430 core

// Ouput data
out vec3 color;

in vec2 UVs[3];
in vec3 alphas;

// Values that stay constant for the whole mesh.
uniform sampler2D tex0;

void main()
{
	//color = vec3(1,0,0);

	color = texture2D( tex0, UVs[0] ).rgb * alphas[0];
	color += texture2D( tex0, UVs[1] ).rgb * alphas[1];
	color += texture2D( tex0, UVs[2] ).rgb * alphas[2];
}
