#version 430 core

// Interpolated values from the vertex shaders
in vec2 UV0;
in vec2 UV1;
in vec2 UV2;
in vec3 alphas;

// Ouput data
out vec3 color;

// Values that stay constant for the whole mesh.
uniform sampler2D tex0;

void main()
{
	//color = texture2D( tex0, UV ).rgb;

	color = texture2D( tex0, UV0 ).rgb * alphas[0];
	color += texture2D( tex0, UV1 ).rgb * alphas[1];
	color += texture2D( tex0, UV2 ).rgb * alphas[2];
}
