#ifndef JALBBUTTONCOLUMN_H
#define JALBBUTTONCOLUMN_H

struct buttonColumn {
    int x;
    int y;

    int width;
    int height;

    int fontW;
    int fontH;

    int buttH;

    int numButts;

    // An array of the textures of the strings.
    SDL_Texture **textures;
    int *textureWs;
};

// Button Column
struct buttonColumn *initButtonColumn(int x, int y, int width, int height, int fontW, int fontH, int numButts, int buttH);
void buttColRender(struct buttonColumn *bc, SDL_Color *topColor, SDL_Renderer *renderer);
void buttColAddButton(struct buttonColumn *bc, char *str, int strLen, int buttIndex, TTF_Font *font, SDL_Color *color, SDL_Renderer *renderer);
int buttColMouseHandle(struct buttonColumn *bc, int mx, int my);
void buttColFree(struct buttonColumn *buttCol);

#endif // JALBBUTTONCOLUMN_H
