#ifndef RAYFACE_H
#define RAYFACE_H

float newerCircRayFaceScalar(float *rPoint, float *rVect, float radius, float *f0, float *f1, float *f2, float *retBarys, int *retType);
float newerCircRaySegScalar(float *s0, float *s1, float *r0, float *rv, float radius, float *edgeScalar, int *retType);
float newCircRayPointScalar(float *cPoint, float *rPoint, float *rVect, float radius);

float pointFaceDist(float *pPoint, float *f0, float *f1, float *f2);
float pointSegDist(float *f0, float *f1, float *pPoint);

void baryFacePoint(float *point, float *f0, float *f1, float *f2, float *barys);

#endif // RAYFACE_H
