#ifndef JAMA_H
#define JAMA_H

void matMatMult(float *mat1, float *mat2);

void xRotMatrix4(float *mat, float thea);
void yRotMatrix4(float *mat, float thea);
void zRotMatrix4(float *mat, float thea);

void matVectMult(float *mat, float *vect, float *newVect);
void matVect3Mult(float *mat, float *vect, float *newVect);

/** Vector math */

void vectNormalize(float *vec, int length);

/** Saying */

void sayMat4(char *str, float *mat);
void sayVect(char *str, float *vect, int length);

#endif // JAMA_H
