#ifndef JALBANIMMAP_H
#define JALBANIMMAP_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <SDL.h>
#include <SDL_image.h>
#include "SDL_ttf.h"

struct jalbAnimMap {
    SDL_Texture *tex;

    int cols;
    int rows;

    int width;
    int height;

    int curFrame;
    int totFrame;

    unsigned int lastUpdate;
    unsigned int waitTime;
};

struct jalbAnimMap *initAnimMap(SDL_Texture *tex, int texW, int texH, int rows, int cols, int totFrame);
void animMapRender(struct jalbAnimMap *animMap, int x, int y, SDL_Renderer *renderer);

#endif // JALBANIMMAP_H
